namespace Syntriax.Engine.Physics2D.Abstract;

public interface IPhysicsEngine2D
{
    int IterationCount { get; set; }

    void AddRigidBody(IRigidBody2D rigidBody);
    void RemoveRigidBody(IRigidBody2D rigidBody);

    void Step(float deltaTime);
}
